Subject: Re: bug#61190: 28.2; ispell personal dictionary location for hunspell engine

From: O G <[email-masked]>
Date: Sat, 11 Feb 2023 14:19:17 -0500

Okay, the double backslash works with emacs -Q on my system as well.

Back in my customizations, it looks like I had not rechecked by setting the
ispell-personal-dictionary variable ... was still using the ispell-cmd-args
approach unfortunately.  So it looks like the latter is the issue, because
everything works now per your suggested settings.

I had originally tried using ispell-personal-dictionary before turning to
ispell-cmd-args and now believe that I may have failed to touch the
.hunspell_en_US file first (a known quirk) while I was testing the double
backslashes among other ways of specifying the file path.

So it's safe to close the bug now.

On Sat, Feb 11, 2023 at 1:29 PM Eli Zaretskii <[email-masked]> wrote:

> > From: O G <[email-masked]>
> > Date: Sat, 11 Feb 2023 13:16:21 -0500
> > Cc: [email-masked]
> >
> >  So I guess we can close this bug now?
> >
> > Yes, with the caveat that it would be nice to document this somewhere.
>
> I'll try to find a place to mention this.
>
> >  > From what I can tell, the issue was the double backslashes not being
> accepted
> >  > in the file path for the hunspell personal dictionary.
> >
> >  It should works either way.  Maybe you didn't double every backslash?
> >
> > Just double-checked my setup and indeed the problem reappears when I
> substitute
> > double backslashes for all of the forward slashes.
>
> Doesn't happen here.  Please show the exact settings you used.  Was
> that in "emacs -Q" or with your customizations?  If the latter,
> perhaps some of your customizations get in the way.
>